<template>
    <div v-if="isLoading || isLoadingTest" class="text-center">
        <SpinLoading />
    </div>
    <template v-else>
        <div class="flex items-center justify-between mb-4">
            <Breadcrumb nameRouteHome="admin" textRouteHome="Trang chủ">
                <ItemBreadcrumb isRouteLink nameRoute="teacher-course">
                    Khóa học của tôi
                </ItemBreadcrumb>
                <ItemBreadcrumb
                    isRouteLink
                    nameRoute="teacher-course-view"
                    :paramsRoute="{ courseId: course.id }"
                    hashRoute="#lessons"
                >
                    {{ course.name }}
                </ItemBreadcrumb>
                <ItemBreadcrumb>Bài kiểm tra</ItemBreadcrumb>
                <ItemBreadcrumb>Cập nhật: {{ test.name }}</ItemBreadcrumb>
            </Breadcrumb>
        </div>
        <div class="card">
            <div class="card-body">
                <TestForm
                    :courseId="course.id"
                    :courseCategoryId="course.course_category_id"
                    :lessons="course.lessons"
                    :test="test"
                />
            </div>
        </div>
    </template>
</template>

<script>
import { useRoute } from "vue-router";

import useGetCourse from "@/hooks/course/useGetCourse";
import useGetTest from "@/hooks/test/useGetTest";

import SpinLoading from "@/components/loading/SpinLoading.vue";
import Breadcrumb from "@/components/breadcrumb/Breadcrumb.vue";
import ItemBreadcrumb from "@/components/breadcrumb/ItemBreadcrumb.vue";
import TestForm from "@/components/test/TestForm.vue";

export default {
    components: {
        SpinLoading,
        Breadcrumb,
        ItemBreadcrumb,
        TestForm
    },
    setup() {
        const route = useRoute();
        const { isLoading, course, onGetCourse } = useGetCourse();
        const { isLoadingTest, test, onGetTest } = useGetTest();

        async function getCourse() {
            await onGetCourse(route.params.courseId);
        }
        getCourse();

        async function getTest() {
            await onGetTest(route.params.testId);
        }
        getTest();

        return { isLoading, course, isLoadingTest, test };
    }
};
</script>
